#include<iostream>
using namespace std;

int main()
{
	ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    
    int n, l;
    cin >> n >> l;
    int a[n];
    for(int i = 0; i<n;i++){
    	cin >> a[i];
	}
	int brojac = 0;
	bool najnizi = true;
    for(int i = 0; i<n;i++){
    	if(a[i]-l<=0){
    		najnizi = false;
    		break;
		}
		else{
			najnizi = true;
			brojac++;
		}		
	}
    if(najnizi){
    	cout << -1;
	}
	else{
		cout << brojac+1;
	}

	return 0;
}